GET /api/v3/route/meter/channel/latestReading

Retrieves a list of routes with their list of meters and a list of channels on each meter with the latest reading Meters are returned in order they appear on a route If the interval filter is passed and no channels match the filter, the route is not included in the response.

GetRoutesWithMetersChannelsLatestReadingV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional

Filters

Filter Description Type Operators
interval Channel Interval Integer equals not equals less than between one of greater than less than equal greater than equal not one of
routeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
routeInfo Route Name String equals not equals one of like not like not one of

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

RouteMeterChannelLatestReadingResponse
Property Description Type
meters List of meters with channels and their latest reading MeterChildIncludePlaceChannelLatestReading[]
MeterChildIncludePlaceChannelLatestReading properties
Property Description Type
active Indicates whether the Meter is Active boolean
channels List of channels with their latest reading ChannelLatestReading[]
ChannelLatestReading properties
Property Description Type
channelId The channel identifier integer (int32)
interval The channel interval in seconds. Monthly = 2592000 Weekly = 604800 Daily = 86400 Hourly = 3600 Thirty_Minutes = 1800 Fifteen_Minutes = 900 integer (int32)
lastReading ReadingChildBase
ReadingChildBase properties
Property Description Type
estimated Indicates if the reading is estimated boolean
note A note pertaining to the reading string
observationId The unique ID of the reading integer (int64)
time The date and time of the reading string (date-time)
value The value of the reading number (double)
observationType ObservationTypeChildBase
ObservationTypeChildBase properties
Property Description Type
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
parentPlace PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
serialNumber The meter’s current serial number string
routeCode The route code string
routeId The route identifier integer (int32)
routeInfo The route info string
Example Response application/json
[
  {    "meters": [
      {      "active": false,      "channels": [],      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "parentPlace": {},      "serialNumber": "string"
    }
    ],    "routeCode": "string",    "routeId": 1,    "routeInfo": "string"
  }
]